package sentio

import (
	"time"
)

type MKT interface {
	IsOpen() bool
	Cooldown() uint8

	Account() (MarketAccount, error)

	CreateOrder(symbol string, quantity uint, sl float64) (Order, error)
	UpdateOrder(orderID string, sl float64) error
	CloseOrder(orderID string) (Order, error)

	Orders(status string, from time.Time, until time.Time, nested bool) ([]Order, error)
	Portfolio() (Portfolio, error)
	PortfolioHistory() ([]PortfolioRecord, error)
	Quotes(symbols ...string) (map[string]Quote, error)
	HistoricalBars(symbol string, interval time.Duration, from *time.Time) ([]Bar, error)
}
